Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.lifecycle.phases
Class MuleContextDisposePhase

    java.lang.Object
      org.mule.lifecycle.phases.DefaultLifecyclePhase
          org.mule.lifecycle.phases.MuleContextDisposePhase

All Implemented Interfaces:
  MuleContextAware, LifecyclePhase

    public class MuleContextDisposePhase

extends DefaultLifecyclePhase

Objects are disposed of via the Registry since the Registry manages the creation/initialisation of the objects it must also take care of disposing them. However, a user may want to initiate a dispose via the `DefaultMuleContext` so the dispose Lifecycle phase for the `DefaultMuleContext` needs to call dispose on the Registry. The MuleContextDisposePhase defines the lifecycle behaviour when the Mule context is disposed. The MuleContext is associated with one or more registries that inherit the lifecycle of the MuleContext. This phase is responsible for disposing objects. Any object that implements `Disposable` will have its `Disposable.dispose()` method called. Objects are initialised in the order based on type: `Service`, `Model`, `Agent`, `Connector`, followed by any other object that implements `Disposable`.

Since:
  3.0
See Also:
  `MuleContext`, `LifecycleManager`, `Disposable`

Field Summary

Fields inherited from class org.mule.lifecycle.phases.DefaultLifecyclePhase
`logger`

Fields inherited from interface org.mule.api.lifecycle.LifecyclePhase
`ALL_PHASES`

Constructor Summary
`MuleContextDisposePhase()`

Method Summary
`void` | `applyLifecycle(Object o)`

Methods inherited from class org.mule.lifecycle.phases.DefaultLifecyclePhase
`addOrderedLifecycleObject, getIgnoredObjectTypes, getLifecycleClass, getName, getOppositeLifecyclePhase, getOrderedLifecycleObjects, getSupportedPhases, ignoreType, isPhaseSupported, registerSupportedPhase, removeOrderedLifecycleObject, setIgnoredObjectTypes, setLifecycleClass, setMuleContext, setOrderedLifecycleObjects, setSupportedPhases, sortLifecycleInstances`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleContextDisposePhase

    public MuleContextDisposePhase()

Method Detail

### applyLifecycle

    public void applyLifecycle(Object o)
                        throws LifecycleException

  Specified by:
    `applyLifecycle` in interface `LifecyclePhase`
  Overrides:
    `applyLifecycle` in class `DefaultLifecyclePhase`
  Throws:
    `LifecycleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.